body{
    margin: 20px;
    padding: 0px;
    text-align: center;
    background-color: rgb(178, 187, 213);
}

h2{
    font-size: 40px;
    font-family: Arial, Helvetica, sans-serif;
    margin-top: 10px;
}

.container{
    display: grid;
    grid-template-columns: repeat(6,1fr);
    grid-auto-rows: 500px 500px;
    grid-gap: 20px;
    padding: 10px;
}

button {
    opacity: 0;
    
}

.gallery-item{
    width: 100%;
    height: 100%;
    position: relative;
}

.gallery-item .images{
    width: 100%;
    height: 100%;
    border-radius: 20px;
    overflow: hidden;
}

.gallery-item .images img{
     width: 100%; 
     height: 100%;
     object-fit: cover;
     object-position: 50% 50%;
     cursor: pointer;
     transition: 0.3s ease-out;
}

.gallery-container .text {
    font-size: x-large;
}

.gallery-item:hover .images img{
    transform:scale(1.15);
}

.gallery-item .text{
    opacity: 0;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    color: rgb(255, 255, 255);
    font-size: 30px;
    transition: .5s ease-in-out;
    
} 

.gallery-item:hover .text{
    /*animation: drop-down .3s, linear;*/
    opacity: 1;
}

@keyframes drop-down{
    0%{ 
        top: 0%;
    }
    50%{
        top: 25%
    }
    100% {
        top: 50%
    }
}

 .w-2{
    grid-column: span 2;
 }

  .w-4{
    grid-column: span 4;
 }

 .r-2{
    grid-row: span 2;
 }

@media screen and (max-width: 600px) {
    .container {
        grid-template-columns: repeat(1,1fr);
        grid-auto-rows: 200px 200px;
        grid-height: auto;
  }
    .gallery-item .images img{
         width: 100%;
         height: 100%;
         object-fit: cover;
         object-position: 50% 50%;
         cursor: pointer;
         transition: 0.3s ease-out;
    }
    
     .w-2{
        grid-column: span 1;
     }
    
      .w-4{
        grid-column: span 1;
     }
    
     .r-2{
        grid-row: span 1;
     }
}
